<?xml version = "1.0" encoding="UTF-8"?>
<project name="JavaProjSE" basedir = "." default="hi">
    <!--test | build | make | deploy | package | compile | clean -->

    <property name="projectName" value="JavaProjSE-v1.0.3"/>
    <property file = "app.properties"/>

    <target name="hi">
        <echo>Hello World - Welcome to Apache Ant!</echo>
    </target>

    <target name="var">
        <echo>Apache Ant version is ${ant.version}</echo>
        <echo>Java Project Name is ${projectName}</echo>
    </target>

    <target name="app">
        <echo>AppInfo</echo>
        <echo>Name: ${name}</echo>
        <echo>Version : ${version}</echo>
    </target>

    <path id = "master-classpath">
        <fileset dir = "${lib.src}">
            <include name = "**/*.jar"/>
        </fileset>
        <pathelement path = "${build.dir}"/>
    </path>

    <target name = "build" description = "Compile source tree java files">
        <mkdir dir = "${build.dir}"/>

        <javac destdir = "${build.dir}" source = "1.8" target = "1.8">
            <src path = "${src.dir}"/>
            <classpath refid = "master-classpath"/>
        </javac>
    </target>

    <target name = "test" description = "Compile source tree java files">
        <mkdir dir = "${build.dir}"/>

        <javac destdir = "${build.dir}" source = "1.8" target = "1.8">
            <src path = "${test.dir}"/>
            <src path = "${src.dir}"/>
            <compilerarg line="-encoding utf-8 "/>
            <classpath refid = "master-classpath"/>
        </javac>
    </target>

    <target name = "clean" description = "Clean output directories">
        <delete>
            <fileset dir = "${build.dir}">
                <include name = "**/*.class"/>
            </fileset>
        </delete>
    </target>

</project>